Telegram отказывается от поддержки устаревших версий Android

Совсем недавно разработчики WhatsApp заявили об отказе поддерживать Android 2.1-2.2, а также iOS 6. Этому же последовали и создатели мессенджера Telegram. Согласно официальному заявлению пресс-службы Telegram, отныне для запуска приложения потребуется смартфон на Android 4.0 и выше. А вот отказываться от старых версий iOS программисты пока не намерены, поэтому выпуск свежих обновлений для этой операционной системы продолжится дальше.

Открыто о причинах прекращения поддержки старых версий Android не сообщается, но речь наверняка идёт о добавлении новых функций, которые ранее было невозможно реализовать на платформе от Google. Разработчики не хотят разбивать команду на две, продолжая совершенствование нескольких версий ПО сразу. Аналогичные предположения касаются и истории с WhatsApp. Как утверждает пресс-служба мессенджера, веб-версия Telegram всё ещё будет работать в любых браузерах. Существуют и клиенты для настольных ОС, в числе которых есть Windows, macOS и Linux. Поэтому владельцы старых смартфонов не останутся без доступа к сервису.

По статистике среди пользователей Telegram, смартфоны на Android 2.2, 2.3 и 3.0 занимают не более 1,4 % от всех устройств, подключённых к сервису. Но учитывая общую аудиторию мессенджера (более 110 млн человек по всему миру), цифра всё равно большая. Если провести параллели с тем же WhatsApp, которым пользуется более 1 млрд человек, сокращение базы окажется не столь существенным. В дальнейшем команда Telegram продолжит совершенствование программы, оказавшейся очень популярной среди поклонников защищённого общения. Трафик в клиенте шифруется по сложному алгоритму, поэтому перехватить его практически невозможно.